BugTraq
XSS in Acuity CMS May 04 2010 12:41PM
advisory htbridge ch
Vulnerability ID: HTB22352
Reference: http://www.htbridge.ch/advisory/xss_in_acuity_cms.html
Product: Acuity CMS (asp version)
Vendor: The Collective
Vulnerable Version: 2.6.2 (ASP) and Probably Prior Versions
Vendor Notification: 19 April 2010
Vulnerability Type: XSS (Cross Site Scripting)
Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response
Risk level: Medium
Credit: High-Tech Bridge SA (http://www.htbridge.ch/)

Vulnerability Details:
User can execute arbitrary JavaScript code within the vulnerable application.

The vulnerability exists due to failure in the "/admin/pages/add_page.asp" script to properly sanitize user-supplied input in "page" variable. Successful exploitation of this vulnerability could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.

An attacker can use browser to exploit this vulnerability. The following PoC is available:

http://site/admin/pages/add_page.asp?page=58%22%3E%3Cscript%3Ealert%28do
cument.cookie%29%3C/script%3E

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus